Bug 772610 - Include glusterd UUID in pathinfo xattr request
Include glusterd UUID in pathinfo xattr request
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: posix (Show other bugs)
mainline
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Venky Shankar
Vijaykumar Koppad
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-09 07:24 EST by Venky Shankar
Modified: 2014-08-24 20:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:00:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa45
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Venky Shankar 2012-01-09 07:24:24 EST
as summ.
Comment 1 Anand Avati 2012-02-23 02:19:50 EST
CHANGE: http://review.gluster.com/2614 (Introduce new extended attribute: node-uuid) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Vijaykumar Koppad 2012-06-01 05:55:05 EDT
On the mount point if you get xattr for node-uuid you will get the glusterd uuid of the brick in which that file is present in the backend of the distributed setup .

Command - getattr -n trusted.glusterfs.node-uuid <filename>

Note You need to log in before you can comment on or make changes to this bug.